Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management
Class JBossJDBC

    java.lang.Object
      |
      +--org.jboss.management.JBossJ2EEManagedObject
            |
            +--org.jboss.management.JBossJ2EEResource
                  |
                  +--org.jboss.management.JBossJDBC

All Implemented Interfaces:
  management.J2EEManagedObject, management.J2EEResource, management.JDBC, java.io.Serializable

public synchronized class JBossJDBC
extends JBossJ2EEResource
implements management.JDBC

See Also:
  Serialized Form

Constructor Summary
`JBossJDBC(java.lang.String, management.JDBCConnectionPool[])`

Method Summary
`management.JDBCConnectionPool` | `getJDBCConnectionPool(int)`
`management.JDBCConnectionPool[]` | `getJDBCConnectionPools()`
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.management.JBossJ2EEManagedObject
`getName, hasStatistics, isStateManageable, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface management.J2EEManagedObject
`getName, hasStatistics, isStateManageable, setName`

Constructor Detail

### JBossJDBC

    public JBossJDBC(java.lang.String,
                     management.JDBCConnectionPool[])

Method Detail

### getJDBCConnectionPool

    public management.JDBCConnectionPool getJDBCConnectionPool(int)

  Specified by:
    `getJDBCConnectionPool` in interface `management.JDBC`

### getJDBCConnectionPools

    public management.JDBCConnectionPool[] getJDBCConnectionPools()

  Specified by:
    `getJDBCConnectionPools` in interface `management.JDBC`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.